#include <bits/stdc++.h>
using namespace std;
long long niz[25000];
int main()
{
    long long n, i, k;
    cin >> n >> k;
    for(i = 0; i < n; i++) cin >> niz[i];
    niz[n] = niz[0];
    for(i = 0; i < n; i++)
        if(niz[i] == k) cout << niz[i + 1];
    return 0;
}